curl --request PUT \
--url https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/accounts/{account_identifier} \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"account": {
"account_subtype": "PERSONAL",
"account_type": "CHECKING",
"apy": 2.35,
"available_balance": 1000,
"balance": 1000,
"currency_code": "USD",
"interest_rate": 1,
"is_business": false,
"is_closed": false,
"is_hidden": false,
"metadata": "some metadata",
"name": "Test account 2",
"nickname": "Swiss Account",
"skip_webhook": true
}
}
'import requests
url = "https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/accounts/{account_identifier}"
payload = { "account": {
"account_subtype": "PERSONAL",
"account_type": "CHECKING",
"apy": 2.35,
"available_balance": 1000,
"balance": 1000,
"currency_code": "USD",
"interest_rate": 1,
"is_business": False,
"is_closed": False,
"is_hidden": False,
"metadata": "some metadata",
"name": "Test account 2",
"nickname": "Swiss Account",
"skip_webhook": True
} }
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Accept-Version': '<accept-version>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account: {
account_subtype: 'PERSONAL',
account_type: 'CHECKING',
apy: 2.35,
available_balance: 1000,
balance: 1000,
currency_code: 'USD',
interest_rate: 1,
is_business: false,
is_closed: false,
is_hidden: false,
metadata: 'some metadata',
name: 'Test account 2',
nickname: 'Swiss Account',
skip_webhook: true
}
})
};
fetch('https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/accounts/{account_identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account": {
"account_number_display": "3331261",
"subtype": "CHECKING",
"type": "CHECKING",
"guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"id": "1040434698",
"name": "Test account 2",
"nickname": "Swiss Account",
"self": "/users/USR-11141024-90b3-1bce-cac9-c06ced52ab4c/accounts/ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"member": {
"guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
"id": "unique_id",
"metadata": "some metadata",
"name": "MX Bank",
"self": "/users/USR-11141024-90b3-1bce-cac9-c06ced52ab4c/members/MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
},
"user": {
"guid": "USR-11141024-90b3-1bce-cac9-c06ced52ab4c",
"id": "unique_id",
"metadata": "some metadata",
"self": "/users/USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
},
"mx_record": {
"created_at": "2025-05-10T18:08:00Z",
"updated_at": "2026-02-12T22:48:21Z"
}
}
}Update account by member
This endpoint allows you to update certain attributes of an account resource, including manual accounts. For manual accounts, you can update every field listed. For aggregated accounts, you can only update is_business, is_hidden and metadata.
Authorizations
To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request:
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
Headers
MX Platform API version.
"v20260929"
Path Parameters
Use either the account id you defined or the MX-defined account guid. See Assigning Resource IDs.
Use either the member id you defined or the MX-defined member guid. See Assigning Resource IDs.
Use either the user id you defined or the MX-defined user guid. See Assigning Resource IDs.
Body
Hide child attributes
Hide child attributes
Can only be updated for manual accounts.
"PERSONAL"
The type of account. Some account types may include subtypes. For a full list of account types and subtypes, see Account Types.
ANY, CASH, CHECKING, CHECKING_LINE_OF_CREDIT, CREDIT_CARD, LOAN, LINE_OF_CREDIT, SAVINGS, INVESTMENT, MORTGAGE, INSURANCE, PREPAID, PROPERTY "CHECKING"
Can only be updated for manual accounts. The annual percentage rate associated with the account.
5.25
Can only be updated for manual accounts. The annual percentage yield associated with the account.
2.35
Can only be updated for manual accounts.
The balance that is available for use in asset accounts like checking and savings.
1000
Can only be updated for manual accounts. The current balance of the account.
1000
Can only be updated for manual accounts. The sum of money paid to the policyholder or annuity holder in the event the policy is voluntarily terminated before it matures, or the insured event occurs.
1000
Can only be updated for manual accounts. The credit limit associated with the account.
5000
Can only be updated for manual accounts. The three-character ISO 4217 currency code, for example, USD.
"USD"
Can only be updated for manual accounts. The amount paid to the beneficiary of the account upon death of the account owner.
1000
Can only be updated for manual accounts.
1
Can be updated for manual accounts and aggregated accounts.
false
Can only be updated for manual accounts.
false
Can be updated for manual accounts and aggregated accounts.
false
Can only be updated for manual accounts.
1000
Can only be updated for manual accounts.
"some metadata"
Can only be updated for manual accounts.
"Test account 2"
Can only be updated for manual accounts.
"Swiss Account"
Can only be updated for manual accounts.
10
Can only be updated for manual accounts.
"VEHICLE"
If set to true, prevents sending an account webhook for the update if that webhook type is enabled for you.
true
Response
OK
The base fields for an account. Returned as the account companion on related resources such as transactions, statements, and rewards, and as the foundation of full account responses.
Hide child attributes
Hide child attributes
The account number associated with the account. This will typically be a masked or partial account number.
"3331261"
The type of account. Some account types may include subtypes. For a full list of account types and subtypes, see Account Types.
ANY, CASH, CHECKING, CHECKING_LINE_OF_CREDIT, CREDIT_CARD, LOAN, LINE_OF_CREDIT, SAVINGS, INVESTMENT, MORTGAGE, INSURANCE, PREPAID, PROPERTY "CHECKING"
Unique identifier for the account. Defined by MX.
"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"
The unique partner-defined identifier for the account.
"1040434698"
The human-readable name for the account.
"Test account 2"
An alternate name for the account.
"Swiss Account"
The API URI path for the account.
"/users/USR-11141024-90b3-1bce-cac9-c06ced52ab4c/accounts/ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"
The base fields for a member, which is a user's connection to an institution. Returned as the member companion on related resources such as accounts and transactions, and as the foundation of full member responses.
Hide child attributes
Hide child attributes
The unique identifier for the member. Defined by MX.
"MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
The unique partner-defined identifier for the member.
"unique_id"
Additional information you can store about the member.
"some metadata"
The name of the member.
"MX Bank"
The API URI path for the member.
"/users/USR-11141024-90b3-1bce-cac9-c06ced52ab4c/members/MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
The base fields for a user. Returned as the user companion on related resources such as members, accounts, and transactions, and as the foundation of full user responses.
Hide child attributes
Hide child attributes
The unique identifier for the user. Defined by MX.
"USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
The unique partner-defined identifier for the user.
"unique_id"
Additional information you can store about the user.
"some metadata"
The API URI path for the user.
"/users/USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
Timestamps for when MX created and last updated the record. Returned as the mx_record companion on all resources persisted by MX. These describe the MX record, not the underlying resource at the institution.
Hide child attributes
Hide child attributes
The date and time the resource was created in MX Platform, represented in ISO 8601 format with a timestamp.
"2025-05-10T18:08:00Z"
The date and time the resource was last updated in MX Platform, represented in ISO 8601 format with a timestamp.
For categories, this field will always be null when is_default is true.
"2026-02-12T22:48:21Z"

